Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1333 - chkconfig on/off changes multiple services (related to bug# 1166?)
Summary: chkconfig on/off changes multiple services (related to bug# 1166?)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: chkconfig
Version: 5.2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-25 18:03 UTC by smc
Modified: 2014-03-17 02:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-22 23:40:53 UTC


Attachments (Terms of Use)

Description smc 1999-02-25 18:03:04 UTC
if you have 2 or more services with the same initial chars
(such as nfs and nfsfs) then chkconfig on and off for one
changes both (with one exception - see that last example
below).  It looks like it gets the length of the first
service name (which apparently is the short one under most
cases) and then just pulls out all services that match for
that number of chars. It's probably the same issue with
bug#1166 - probably the same parse routine?  I wasn't sure
whether I should put in a new bug or try to add comments to
the 1166.

root@nox:/ [31] # rpm -q chkconfig-0.9.6-1
chkconfig-0.9.6-1
root@nox:/ [32] # chkconfig --list | grep nfs
nfsfs 0:off 1:off 2:off 3:on 4:on 5:on 6:off
nfs 0:off 1:off 2:off 3:on 4:on 5:on 6:off
root@nox:/ [33] # chkconfig nfs off
root@nox:/ [34] # chkconfig --list | grep nfs
nfsfs 0:off 1:off 2:off 3:off 4:off 5:off 6:off
nfs 0:off 1:off 2:off 3:off 4:off 5:off 6:off
root@nox:/ [35] # chkconfig nfsfs on
root@nox:/ [36] # chkconfig --list | grep nfs
nfsfs 0:off 1:off 2:off 3:on 4:on 5:on 6:off
nfs 0:off 1:off 2:off 3:on 4:on 5:on 6:off
root@nox:/ [37] # chkconfig nfsfs off
root@nox:/ [38] # chkconfig --list | grep nfs
nfsfs 0:off 1:off 2:off 3:off 4:off 5:off 6:off
nfs 0:off 1:off 2:off 3:off 4:off 5:off 6:off
--- here's the only time it works properly:
root@nox:/ [39] # chkconfig nfs on
root@nox:/ [40] # chkconfig --list | grep nfs
nfsfs 0:off 1:off 2:off 3:off 4:off 5:off 6:off
nfs 0:off 1:off 2:off 3:on 4:on 5:on 6:off
root@nox:/ [41] #

Comment 1 David Lawrence 1999-02-25 20:51:59 UTC
I have been able to replicate this problem in the test lab. I Used the
chkconfig utility to enable both the nfs and the nfsfs services for
runlevels 3,4,5. When you use the chkconfig command:

chconfig nfs off

it disables both instead of just nfs. Also if you use

chkconfig nfsfs off

it also fails. This has been passed on to a developer.

Comment 2 Bill Nottingham 1999-03-22 23:40:59 UTC
fixed in chkconfig-1.0.2


Note You need to log in before you can comment on or make changes to this bug.